Bug 468322 - vmmouse_drv.so in xorg-x11-drv-vmmouse.x86-64, 12.5.2-1.fc10 cause fatal server error
vmmouse_drv.so in xorg-x11-drv-vmmouse.x86-64, 12.5.2-1.fc10 cause fatal serv...
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vmmouse (Show other bugs)
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-10-24 00:01 EDT by dynmosaic
Modified: 2008-10-27 16:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: 12.6.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-26 21:22:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
This is the log when the server crashed (22.12 KB, text/plain)
2008-10-24 16:20 EDT, dynmosaic
no flags Details

  None (edit)
Description dynmosaic 2008-10-24 00:01:14 EDT
Description of problem:
vmmouse_drv.so in xorg-x11-drv-vmmouse.x86-64, 12.5.2-1.fc10 cause fatal server error

Version-Release number of selected component (if applicable):
x86_64, 12.5.2-1.fc10

How reproducible:
fails to start X.

Steps to Reproduce:
Actual results:
Fatal Server error:
Caught signal 11, Server aborting

Expected results:

Additional info:

work around: If I copy the vmmmouse_drv.so from /usr/lib/cmware-tools/configurator/Xorg/7.3_64/vmmouse_drv.so to /usr/lib64/xorg/modules/input/vmmouse_drv.so, the problem went away.
Comment 1 Charlie Moschel 2008-10-24 09:10:17 EDT
Please read Peter's comments in https://bugzilla.redhat.com/show_bug.cgi?id=434807, and try the packages that he links to.  Please post your results in that bugzilla entry.

I can't test this until later today.
Comment 2 Matěj Cepl 2008-10-24 12:45:19 EDT
Also please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 dynmosaic 2008-10-24 16:20:33 EDT
Created attachment 321463 [details]
This is the log when the server crashed
Comment 4 Peter Hutterer 2008-10-26 21:22:05 EDT
Should be fixed with vmmouse 12.6.1-1 and server 1.5.2-9.
Comment 5 dynmosaic 2008-10-27 16:10:00 EDT
I have tested the new release.

It works perfectly now. Thanks a lot for your quick fix.

Note You need to log in before you can comment on or make changes to this bug.